﻿@{
    ViewBag.Title = "Highcharts";
    Layout = "~/Views/Shared/_QuickStartLayout.cshtml";
}
@section HeadCss{
    @if (false)
    {
        <link href="../../Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-theme.css" rel="stylesheet"
            type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-custom.css" rel="stylesheet"
            type="text/css" />
    }
    <style type="text/css">
        .quickstartexample
        {
            border-style: solid;
            border-color: #ddd;
            border-width: 1px;
            border-radius: 4px;
            padding: 10px;
        }
        .p-h-zh
        {
            font-family: 微软雅黑;
        }
    </style>
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-1">
        </div>
        <div class="col-md-9">
            <div class="row">
                <h2>
                    Highcharts</h2>
                    <small>注：示例摘自Highcharts中文网</small>
                <h4>
                    了解更多，中文网：<a href="http://www.hcharts.cn/index.php">http://www.hcharts.cn/index.php</a>
                    英文官网：<a href="http://www.highcharts.com/">http://www.highcharts.com/</a></h4>
            </div>
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    概述</h4>
                <p class="p-h-zh">
                    通常情况下，Highcharts包含<strong>标题</strong>（Title）、<strong>副标题</strong>（SubTitle）、<strong>坐标轴</strong>（Axis）、<strong>数据列</strong>（Series）、<strong>数据提示框</strong>（Tooltip）、<strong>图例</strong>（Legend）、<strong>版权信息</strong>（Credits）等，高级的还包括<strong>导出功能按钮</strong>（Exporting）、<strong>标示线</strong>（PlotLines）、<strong>标示区域</strong>（PlotBands）等。
                </p>
                <p class="p-h-zh">
                    Highcharts基本组成部分如下图所示
                </p>
                <p style="text-align: center;">
                    <img src="../../Scripts/AddForQuickStart/Highcharts-4.0.3/imgs/chartParamDiagram.jpg"
                        class="img" />
                </p>
                <p style="text-align: center;" class="p-h-zh">
                    <strong>图2-1 Highcharts基本组成部分</strong>
                </p>
            </div>
            <!-----------------example1----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    1.折线图
                </h4>
                <h5 class="p-h-zh btn btn-primary" id="showChart1">
                    显示效果</h5>
                <h5 class="p-h-zh">
                    效果：</h5>
                <div id="chartContainer1" style="min-width: 700px; max-height: 400px">
                </div>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;div id="chartContainer"&gt;&lt;/div&gt;
<br />
&lt;script type="text/javascript"&gt;
    $(function () {
        $('#chartContainer').highcharts({
            title: {
                text: 'Monthly Average Temperature'
            },
            subtitle: {
                text: 'Source: WorldClimate.com'
            },
            xAxis: {
                categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
            },
            yAxis: {
                title: {
                    text: 'Temperature (°C)'
                }
            },
            tooltip: {
                valueSuffix: '°C'
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'middle',
                borderWidth: 0
            },
            series: [{
                name: 'Tokyo',
                data: [7.0, 6.9, 9.5, 14.5, 18.2, 21.5, 25.2, 26.5, 23.3, 18.3, 13.9, 9.6]
            }, {
                name: 'New York',
                data: [-0.2, 0.8, 5.7, 11.3, 17.0, 22.0, 24.8, 24.1, 20.1, 14.1, 8.6, 2.5]
            }, {
                name: 'Berlin',
                data: [-0.9, 0.6, 3.5, 8.4, 13.5, 17.0, 18.6, 17.9, 14.3, 9.0, 3.9, 1.0]
            }, {
                name: 'London',
                data: [3.9, 4.2, 5.7, 8.5, 11.9, 15.2, 17.0, 16.6, 14.2, 10.3, 6.6, 4.8]
            }]
        });
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example2----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    2.区域图
                </h4>
                <h5 class="p-h-zh btn btn-primary" id="showChart2">
                    显示效果</h5>
                <h5 class="p-h-zh">
                    效果：</h5>
                <div id="chartContainer2" style="min-width: 700px; max-height: 400px">
                </div>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;div id="chartContainer"&gt;&lt;/div&gt;
<br />
&lt;script type="text/javascript"&gt;
    var dataForChart=[{
        name: 'USA',
        data: [null, null, null, null, null, 6, 11, 32, 110, 235, 369, 640, 1005, 1436,
        2063, 3057, 4618, 6444, 9822, 15468, 20434, 24126, 27387, 29459, 31056, 31982,
        32040, 31233, 29224, 27342, 26662, 26956, 27912, 28999, 28965, 27826, 25579,
        25722, 24826, 24605, 24304, 23464, 23708, 24099, 24357, 24237, 24401, 24344,
        23586, 22380, 21004, 17287, 14747, 13076, 12555, 12144, 11009, 10950,10871, 
        10824, 10577, 10527, 10475, 10421, 10358, 10295, 10104
        ]
        }, {
        name: 'USSR/Russia',
        data: [null, null, null, null, null, null, null, null, null, null, 5, 25, 50,
        120, 150, 200, 426, 660, 869, 1060, 1605, 2471, 3322, 4238, 5221, 6129,
        7089, 8339, 9399, 10538, 11643, 13092, 14478, 15915, 17385, 19055, 21205,
        23044, 25393, 27935, 30062, 32049, 33952, 35804, 37431, 39197, 45000, 43000,
        41000, 39000, 37000, 35000, 33000, 31000, 29000, 27000, 25000, 24000, 23000,
        22000, 21000, 20000, 19000, 18000, 18000, 17000, 16000
        ]
    }];
    $(function () {
        $('#chartContainer').highcharts({
            chart: {
                type: 'area'
            },
            title: {
                text: 'US and USSR nuclear stockpiles'
            },
            subtitle: {
                text: 'Source: thebulletin.metapress.com'
            },
            xAxis: {
                labels: {
                    formatter: function () {
                        return this.value;
                    }
                }
            },
            yAxis: {
                title: {
                    text: 'Nuclear weapon states'
                },
                labels: {
                    formatter: function () {
                        return this.value / 1000 + 'k';
                    }
                }
            },
            tooltip: {
                pointFormat: '{series.name} produced &lt;b&gt;{point.y:,.0f}&lt;/b&gt;&lt;br/&gt;warheads in {point.x}'
            },
            plotOptions: {
                area: {
                    pointStart: 1940,
                    marker: {
                        enabled: false,
                        symbol: 'circle',
                        radius: 2,
                        states: {
                            hover: {
                                enabled: true
                            }
                        }
                    }
                }
            },
            series: dataForChart
        });
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example3----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    3.柱状图
                </h4>
                <h5 class="p-h-zh btn btn-primary" id="showChart3">
                    显示效果</h5>
                <h5 class="p-h-zh">
                    效果：</h5>
                <div id="chartContainer3" style="min-width: 700px; max-height: 400px">
                </div>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;div id="chartContainer"&gt;&lt;/div&gt;
<br />
&lt;script type="text/javascript"&gt;
    var dataForChart = [{
            name: 'Tokyo',
            data: [49.9, 71.5, 106.4, 129.2, 144.0, 176.0, 135.6, 148.5, 216.4, 194.1, 95.6, 54.4]
        }, {
            name: 'New York',
            data: [83.6, 78.8, 98.5, 93.4, 106.0, 84.5, 105.0, 104.3, 91.2, 83.5, 106.6, 92.3]
        }, {
            name: 'London',
            data: [48.9, 38.8, 39.3, 41.4, 47.0, 48.3, 59.0, 59.6, 52.4, 65.2, 59.3, 51.2]
        }, {
            name: 'Berlin',
            data: [42.4, 33.2, 34.5, 39.7, 52.6, 75.5, 57.4, 60.4, 47.6, 39.1, 46.8, 51.1]
        }];
    $(function () {
        $('#chartContainer').highcharts({
            chart: {
                type: 'column'
            },
            title: {
                text: 'Monthly Average Rainfall'
            },
            subtitle: {
                text: 'Source: WorldClimate.com'
            },
            xAxis: {
                categories: [
                'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'
                ]
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Rainfall (mm)'
                }
            },
            tooltip: {
                headerFormat: '&lt;span style="font-size:10px"&gt;{point.key}&lt;/span&gt;&lt;table&gt;',
                pointFormat: '&lt;tr&gt;&lt;td style="color:{series.color};padding:0"&gt;{series.name}: &lt;/td&gt;' +
            '&lt;td style="padding:0"&gt;&lt;b&gt;{point.y:.1f} mm&lt;/b&gt;&lt;/td&gt;&lt;/tr&gt;',
                footerFormat: '&lt;/table&gt;',
                shared: true,
                useHTML: true
            },
            plotOptions: {
                column: {
                    pointPadding: 0.2,
                    borderWidth: 0
                }
            },
            series: dataForChart
        });
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example4----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    4.3D柱状图
                </h4>
                <h5 class="p-h-zh btn btn-primary" id="showChart4">
                    显示效果</h5>
                <h5 class="p-h-zh">
                    效果：</h5>
                <div id="chartContainer4" style="min-width: 700px; max-height: 400px">
                </div>
                ﻿
                <div id="sliders" style="min-width: 310px; max-width: 800px; margin: 0 auto;">
                    <table>
                        <tr>
                            <td>
                                Alpha Angle
                            </td>
                            <td>
                                <input id="R0" type="range" min="0" max="45" value="15" />
                                <span id="R0-value" class="value"></span>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Beta Angle
                            </td>
                            <td>
                                <input id="R1" type="range" min="0" max="45" value="15" />
                                <span id="R1-value" class="value"></span>
                            </td>
                        </tr>
                    </table>
                </div>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;div id="chartContainer"&gt;&lt;/div&gt;
<br />
&lt;div id="sliders"&gt;
    &lt;table&gt;
        &lt;tr&gt;
            &lt;td&gt;
                Alpha Angle
            &lt;/td&gt;
            &lt;td&gt;
                &lt;input id="R0" type="range" min="0" max="45" value="15" /&gt;
                &lt;span id="R0-value" class="value"&gt;&lt;/span&gt;
            &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
            &lt;td&gt;
                Beta Angle
            &lt;/td&gt;
            &lt;td&gt;
                &lt;input id="R1" type="range" min="0" max="45" value="15" /&gt;
                &lt;span id="R1-value" class="value"&gt;&lt;/span&gt;
            &lt;/td&gt;
        &lt;/tr&gt;
    &lt;/table&gt;
&lt;/div&gt;
<br />
&lt;script type="text/javascript"&gt;
    $(function () {
        // Set up the chart
        var chart = new Highcharts.Chart({
            chart: {
                renderTo: 'chartContainer',
                type: 'column',
                margin: 75,
                options3d: {
                    enabled: true,
                    alpha: 15,
                    beta: 15,
                    depth: 50,
                    viewDistance: 25
                }
            },
            title: {
                text: 'Chart rotation demo'
            },
            subtitle: {
                text: 'Test options by dragging the sliders below'
            },
            plotOptions: {
                column: {
                    depth: 25
                }
            },
            series: [{
                data: [29.9, 71.5, 106.4, 129.2, 144.0, 176.0, 135.6, 148.5, 216.4, 194.1, 95.6, 54.4]
            }]
        });


        // Activate the sliders
        $('#R0').on('change', function () {
            chart.options.chart.options3d.alpha = this.value;
            showValues();
            chart.redraw(false);
        });
        $('#R1').on('change', function () {
            chart.options.chart.options3d.beta = this.value;
            showValues();
            chart.redraw(false);
        });

        function showValues() {
            $('#R0-value').html(chart.options.chart.options3d.alpha);
            $('#R1-value').html(chart.options.chart.options3d.beta);
        }
        showValues();
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example5----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    5.饼图
                </h4>
                <h5 class="p-h-zh btn btn-primary" id="showChart5">
                    显示效果</h5>
                <h5 class="p-h-zh">
                    效果：</h5>
                <div id="chartContainer5" style="min-width: 700px; max-height: 400px">
                </div>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;div id="chartContainer"&gt;&lt;/div&gt;<br />
&lt;script type="text/javascript"&gt;
    $(function () {
        $('#chartContainer').highcharts({
            chart: {
                plotBackgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false
            },
            title: {
                text: 'Browser market shares at a specific website, 2010'
            },
            tooltip: {
                pointFormat: '{series.name}: &lt;b&gt;{point.percentage:.1f}%&lt;/b&gt;'
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: {
                        enabled: true,
                        color: '#000000',
                        connectorColor: '#000000',
                        format: '&lt;b&gt;{point.name}&lt;/b&gt;: {point.percentage:.1f} %'
                    }
                }
            },
            series: [{
                type: 'pie',
                name: 'Browser share',
                data: [
                    ['Firefox', 45.0],
                    ['IE', 26.8],
                    {
                        name: 'Chrome',
                        y: 12.8,
                        sliced: true,
                        selected: true
                    },
                    ['Safari', 8.5],
                    ['Opera', 6.2],
                    ['Others', 0.7]
                ]
            }]
        });
    });
&lt;/script&gt;
</pre>
            </div>
            <!-----------------example6----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    6.3D饼图
                </h4>
                <h5 class="p-h-zh btn btn-primary" id="showChart6">
                    显示效果</h5>
                <h5 class="p-h-zh">
                    效果：</h5>
                <div id="chartContainer6" style="min-width: 700px; max-height: 400px">
                </div>
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">
&lt;div id="chartContainer"&gt;&lt;/div&gt;<br />
&lt;script type="text/javascript"&gt;
    $(function () {
        $('#chartContainer').highcharts({
            chart: {
                type: 'pie',
                options3d: {
                    enabled: true,
                    alpha: 45,
                    beta: 0
                }
            },
            title: {
                text: 'Browser market shares at a specific website, 2014'
            },
            tooltip: {
                pointFormat: '{series.name}: &lt;b&gt;{point.percentage:.1f}%&lt;/b&gt;'
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    depth: 35,
                    dataLabels: {
                        enabled: true,
                        format: '{point.name}'
                    }
                }
            },
            series: [{
                type: 'pie',
                name: 'Browser share',
                data: [
                    ['Firefox', 45.0],
                    ['IE', 26.8],
                    {
                        name: 'Chrome',
                        y: 12.8,
                        sliced: true,
                        selected: true
                    },
                    ['Safari', 8.5],
                    ['Opera', 6.2],
                    ['Others', 0.7]
                ]
            }]
        });
    });
&lt;/script&gt;
</pre>
            </div>

        </div>
    </div>
</div>
@section Scripts{
    <script src="../../Scripts/AddForQuickStart/Highcharts-4.0.3/js/highcharts.js"
        type="text/javascript"></script>
    <script src="../../Scripts/AddForQuickStart/Highcharts-4.0.3/js/modules/exporting.js"
        type="text/javascript"></script>
    <script src="../../Scripts/AddForQuickStart/Highcharts-4.0.3/js/highcharts-3d.js"
        type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
        //--------example1------
        function showChart1() {
            $('#chartContainer1').highcharts({
                title: {
                    text: 'Monthly Average Temperature'
                },
                subtitle: {
                    text: 'Source: WorldClimate.com'
                },
                xAxis: {
                    categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
                },
                yAxis: {
                    title: {
                        text: 'Temperature (°C)'
                    }
                },
                tooltip: {
                    valueSuffix: '°C'
                },
                legend: {
                    layout: 'vertical',
                    align: 'right',
                    verticalAlign: 'middle',
                    borderWidth: 0
                },
                series: [{
                    name: 'Tokyo',
                    data: [7.0, 6.9, 9.5, 14.5, 18.2, 21.5, 25.2, 26.5, 23.3, 18.3, 13.9, 9.6]
                }, {
                    name: 'New York',
                    data: [-0.2, 0.8, 5.7, 11.3, 17.0, 22.0, 24.8, 24.1, 20.1, 14.1, 8.6, 2.5]
                }, {
                    name: 'Berlin',
                    data: [-0.9, 0.6, 3.5, 8.4, 13.5, 17.0, 18.6, 17.9, 14.3, 9.0, 3.9, 1.0]
                }, {
                    name: 'London',
                    data: [3.9, 4.2, 5.7, 8.5, 11.9, 15.2, 17.0, 16.6, 14.2, 10.3, 6.6, 4.8]
                }]
            });
        }
        //--------example2------
        var dataForChart2 = [{
            name: 'USA',
            data: [null, null, null, null, null, 6, 11, 32, 110, 235, 369, 640, 1005, 1436,
            2063, 3057, 4618, 6444, 9822, 15468, 20434, 24126, 27387, 29459, 31056, 31982,
            32040, 31233, 29224, 27342, 26662, 26956, 27912, 28999, 28965, 27826, 25579,
            25722, 24826, 24605, 24304, 23464, 23708, 24099, 24357, 24237, 24401, 24344,
            23586, 22380, 21004, 17287, 14747, 13076, 12555, 12144, 11009, 10950, 10871,
            10824, 10577, 10527, 10475, 10421, 10358, 10295, 10104
            ]
        }, {
            name: 'USSR/Russia',
            data: [null, null, null, null, null, null, null, null, null, null, 5, 25, 50,
            120, 150, 200, 426, 660, 869, 1060, 1605, 2471, 3322, 4238, 5221, 6129,
            7089, 8339, 9399, 10538, 11643, 13092, 14478, 15915, 17385, 19055, 21205,
            23044, 25393, 27935, 30062, 32049, 33952, 35804, 37431, 39197, 45000, 43000,
            41000, 39000, 37000, 35000, 33000, 31000, 29000, 27000, 25000, 24000, 23000,
            22000, 21000, 20000, 19000, 18000, 18000, 17000, 16000
            ]
        }];
        function showChart2() {
            $('#chartContainer2').highcharts({
                chart: {
                    type: 'area'
                },
                title: {
                    text: 'US and USSR nuclear stockpiles'
                },
                subtitle: {
                    text: 'Source: thebulletin.metapress.com'
                },
                xAxis: {
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                yAxis: {
                    title: {
                        text: 'Nuclear weapon states'
                    },
                    labels: {
                        formatter: function () {
                            return this.value / 1000 + 'k';
                        }
                    }
                },
                tooltip: {
                    pointFormat: '{series.name} produced <b>{point.y:,.0f}</b><br/>warheads in {point.x}'
                },
                plotOptions: {
                    area: {
                        pointStart: 1940,
                        marker: {
                            enabled: false,
                            symbol: 'circle',
                            radius: 2,
                            states: {
                                hover: {
                                    enabled: true
                                }
                            }
                        }
                    }
                },
                series: dataForChart2
            });
        }

        //--------example3------
        var dataForChart3 = [{
            name: 'Tokyo',
            data: [49.9, 71.5, 106.4, 129.2, 144.0, 176.0, 135.6, 148.5, 216.4, 194.1, 95.6, 54.4]
        }, {
            name: 'New York',
            data: [83.6, 78.8, 98.5, 93.4, 106.0, 84.5, 105.0, 104.3, 91.2, 83.5, 106.6, 92.3]
        }, {
            name: 'London',
            data: [48.9, 38.8, 39.3, 41.4, 47.0, 48.3, 59.0, 59.6, 52.4, 65.2, 59.3, 51.2]
        }, {
            name: 'Berlin',
            data: [42.4, 33.2, 34.5, 39.7, 52.6, 75.5, 57.4, 60.4, 47.6, 39.1, 46.8, 51.1]
        }];
        function showChart3() {
            $('#chartContainer3').highcharts({
                chart: {
                    type: 'column'
                },
                title: {
                    text: 'Monthly Average Rainfall'
                },
                subtitle: {
                    text: 'Source: WorldClimate.com'
                },
                xAxis: {
                    categories: [
                    'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'
                    ]
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: 'Rainfall (mm)'
                    }
                },
                tooltip: {
                    headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                    pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
                    footerFormat: '</table>',
                    shared: true,
                    useHTML: true
                },
                plotOptions: {
                    column: {
                        pointPadding: 0.2,
                        borderWidth: 0
                    }
                },
                series: dataForChart3
            });
        }
        //--------example4------
        function showChart4() {
            // Set up the chart
            var chart = new Highcharts.Chart({
                chart: {
                    renderTo: 'chartContainer4',
                    type: 'column',
                    margin: 75,
                    options3d: {
                        enabled: true,
                        alpha: 15,
                        beta: 15,
                        depth: 50,
                        viewDistance: 25
                    }
                },
                title: {
                    text: 'Chart rotation demo'
                },
                subtitle: {
                    text: 'Test options by dragging the sliders below'
                },
                plotOptions: {
                    column: {
                        depth: 25
                    }
                },
                series: [{
                    data: [29.9, 71.5, 106.4, 129.2, 144.0, 176.0, 135.6, 148.5, 216.4, 194.1, 95.6, 54.4]
                }]
            });


            // Activate the sliders
            $('#R0').on('change', function () {
                chart.options.chart.options3d.alpha = this.value;
                showValues();
                chart.redraw(false);
            });
            $('#R1').on('change', function () {
                chart.options.chart.options3d.beta = this.value;
                showValues();
                chart.redraw(false);
            });

            function showValues() {
                $('#R0-value').html(chart.options.chart.options3d.alpha);
                $('#R1-value').html(chart.options.chart.options3d.beta);
            }
            showValues();
        }
        //--------example5------
        function showChart5() {
            $('#chartContainer5').highcharts({
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false
                },
                title: {
                    text: 'Browser market shares at a specific website, 2010'
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true,
                            color: '#000000',
                            connectorColor: '#000000',
                            format: '<b>{point.name}</b>: {point.percentage:.1f} %'
                        }
                    }
                },
                series: [{
                    type: 'pie',
                    name: 'Browser share',
                    data: [
                        ['Firefox', 45.0],
                        ['IE', 26.8],
                        {
                            name: 'Chrome',
                            y: 12.8,
                            sliced: true,
                            selected: true
                        },
                        ['Safari', 8.5],
                        ['Opera', 6.2],
                        ['Others', 0.7]
                    ]
                }]
            });
        }
        //--------example6------
        function showChart6() {
            $('#chartContainer6').highcharts({
                chart: {
                    type: 'pie',
                    options3d: {
                        enabled: true,
                        alpha: 45,
                        beta: 0
                    }
                },
                title: {
                    text: 'Browser market shares at a specific website, 2014'
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        depth: 35,
                        dataLabels: {
                            enabled: true,
                            format: '{point.name}'
                        }
                    }
                },
                series: [{
                    type: 'pie',
                    name: 'Browser share',
                    data: [
                        ['Firefox', 45.0],
                        ['IE', 26.8],
                        {
                            name: 'Chrome',
                            y: 12.8,
                            sliced: true,
                            selected: true
                        },
                        ['Safari', 8.5],
                        ['Opera', 6.2],
                        ['Others', 0.7]
                    ]
                }]
            });
        }

        //------------ready-------------
        $(function () {
            $("#showChart1").on("click", function () {
                showChart1();
            });
            $("#showChart2").on("click", function () {
                showChart2();
            });
            $("#showChart3").on("click", function () {
                showChart3();
            });
            $("#showChart4").on("click", function () {
                showChart4();
            });
            $("#showChart5").on("click", function () {
                showChart5();
            });
            $("#showChart6").on("click", function () {
                showChart6();
            });
        });
    </script>
}
